;*****************************************************************************
;*                                                                           *
;* Display prototyping board basic                                           *
;* Copyright (C) 2022 by Walter Lain <kcswalter@member.fsf.org>              *
;*                                                                           *
;* This program is free software; you can redistribute it and/or modify      *
;* it under the terms of the GNU General Public License as published by      *
;* the Free Software Foundation; either version 3 of the License, or         *
;* (at your option) any later version.                                       *
;*                                                                           *
;* This program is distributed in the hope that it will be useful,           *
;* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
;* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
;* GNU General Public License for more details.                              *
;*                                                                           *
;* You should have received a copy of the GNU General Public License         *
;* along with this program; if not, write to the Free Software               *
;* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
;*                                                                           *
;*****************************************************************************

; ________________________________________________
; |        Include for Disp-proto system         |
; |______________________________________________|
; |   Include File                               |
; |______________________________________________|
; |   Type      : INC                            |
; |   Version   : 0                              |
; |   Release   : 1                              |
; |   Author    : Lain Walter                    |
; |   Date      : 14/03/22                       |
; |______________________________________________|

;_______________________________________________________Constants
c_PMD0		EQU	B'01011001'	;System clock network ON, Vref OFF, CRC OFF, 
					; Scanner OFF, NVM writeable, Clock reference ON, IOC OFF
c_PMD1		EQU	B'11111101'	;NCO1 OFF, Timer2-6 OFF, Timer1 ON, Timer0 OFF
c_PMD2		EQU	B'01000111'	;DAC OFF, ADC ON, Comp2 OFF, Comp1 OFF, ZCD OFF
c_PMD3		EQU	B'01111111'	;PWM7 OFF, PWM6 OFF, CCP1-5 OFF
c_PMD4		EQU	B'01110111'	;USART1 OFF, MSSP2 OFF, MSSP1 OFF, CWG1-3 OFF
c_PMD5		EQU	B'11011111'	;SMT2 OFF, SMT1 OFF, CLC1-4 OFF, DSM OFF
c_MAXRAM	EQU	4		;Amount of system RAM
					; 0=256 bytes -> PIC16F153x3
					; 1=512 bytes -> PIC16F153x4
					; 2=1024 bytes -> PIC16F153x5
					; 3=2048 bytes -> PIC16F153x6
					; 4=4096 bytes -> PIC16F188x7


;_______________________________________________________Variables
	
;_______________________________________________________Flags
